## EUrlEntry

EUrlEntry

## Functions

GtkWidget * | e_url_entry_new ()
void | e_url_entry_set_icon_visible ()
gboolean | e_url_entry_get_icon_visible ()

## Properties

gboolean | icon-visible | Read / Write

## Signals

gboolean | open-url | Action

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkEntry
                    ╰── EUrlEntry

## Description

## Functions

### e_url_entry_new ()

    GtkWidget *
    e_url_entry_new (void);

### e_url_entry_set_icon_visible ()

    void
    e_url_entry_set_icon_visible (EUrlEntry *url_entry,
                                  gboolean visible);

### e_url_entry_get_icon_visible ()

    gboolean
    e_url_entry_get_icon_visible (EUrlEntry *url_entry);

## Property Details

### The `“icon-visible”` property

      “icon-visible”             gboolean

Owner: EUrlEntry

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“open-url”` signal

    gboolean
    user_function (EUrlEntry *eurlentry,
                   GtkWindow *arg1,
                   char      *arg2,
                   gpointer   user_data)

Flags: Action